
Smart Proxy - Bug #6661

GET /dhcp is always 404

07/17/2014 04:06 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/188

  

Description

when trying to fetch proxy subnets via a API request (GET /dhcp/) I get the following:

, [2014-07-17T09:05:39.725540 #18065] DEBUG -- : Reading config file /etc/dhcpd.conf

D, [2014-07-17T09:05:39.725782 #18065] DEBUG -- : Loading subnets for 127.0.0.1

D, [2014-07-17T09:05:39.725905 #18065] DEBUG -- : Added 10.35.27.0/255.255.255.192 to 127.0.0.1

D, [2014-07-17T09:05:39.726025 #18065] DEBUG -- : Added 10.35.27.128/255.255.255.192 to 127.0.0.1

10.35.4.190 - - [17/Jul/2014 09:05:39] "GET  HTTP/1.1" 404 408 0.0012

 It does work correctly if I view the html interface or if i go directly into a subnet via the api (e.g. /dhcp/10.35.27.0).

Associated revisions

Revision 99339284 - 07/17/2014 07:59 AM - Dmitri Dolguikh 

fixes #6661: trailing slash is not required in urls

History

#1 - 07/17/2014 06:44 AM - Anonymous

- Status changed from New to Assigned

- Target version set to 1.8.0

- Assignee set to Anonymous

#2 - 07/17/2014 06:54 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/188 added

- Pull request deleted ()

#3 - 07/17/2014 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 99339284ea7c5fd967ae014f584fe4e3bfdcd364.

#4 - 07/17/2014 08:20 AM - Ohad Levy

- translation missing: en.field_release set to 10

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/99339284ea7c5fd967ae014f584fe4e3bfdcd364
http://www.tcpdf.org

